<?php

include('../includes/hlava.php');
title('Klub priateľov fotografie', '../');

if ($link) {
  if ($db_selected) {
  
include('../includes/vedla.php');
odkaz('../');
include('../includes/menu.php');
menu('klub', '../');
?>        
               
            <ul class="menu pmenu">
              <li><a href="index.php" title="o klube">Úvod</a></li>
              <li><a href="clanky.php" class="aktual" title="články kpf">Články</a></li>
          
<?php
if (!(isset($_SESSION['login']) && ($_SESSION['login'] != ""))) :
// pouzivatel sa musi prihlasit, treba zobrazit prihlasovaci formular
?>
<?
else :
// pouzivatel je prihlaseny
    ?>
              <li class="medzera">&nbsp;</li>
              <li><a href="vloz.php" title="vloženie článku">Vložiť článok</a></li>
    
<?php
endif; // kontrola SESSION
        	
?>                    
          
            </ul>
          
        <div class="obsah">  
      
<h2>Články <em>KPF</em></h2>


	
	
<?php      
            $sql = "SELECT C.*, UNIX_TIMESTAMP(C.cas) AS 'dat', A.meno, A.priezvisko
                    FROM kpf_clanky C, kpf_author A
                    WHERE A.aid=C.aid AND C.kategoria != 'Fototéma'
                    ORDER BY C.cas DESC;";
                    
            if ($_SESSION['aid'] == '1')                     
            $sql = "SELECT C.*, UNIX_TIMESTAMP(C.cas) AS 'dat', A.meno, A.priezvisko
                    FROM kpf_clanky C, kpf_author A
                    WHERE A.aid=C.aid
                    ORDER BY C.cas DESC;";
                    
            $result = mysql_query($sql, $link);	
            if ($result) {
        		  $pocet = mysql_num_rows($result);
        		  if ($pocet > '0') {              
              while ($row = mysql_fetch_assoc($result)) {
              echo '<h3 class="norm"><a href="clanok.php?id='.$row['cid'].'">'.$row['nadpis'].'</a></h3>';
              echo '<p class="cl_info">'.date("d.m.Y", $row['dat']).' o '.date("H:i", $row['dat']).'; autor: '.$row['meno'].' '.$row['priezvisko'].'; kategória: '.$row['kategoria'];
              if ($_SESSION['aid'] == '1') echo '; <a href="edit.php?id='.$row['cid'].'">editovať článok</a></p>';
              else echo '</p>';
              echo '<p class="cl">'.$row['perex'].'</p>';
              echo '<p class="cl_citaj"><a href="clanok.php?id='.$row['cid'].'">čítaj celý článok</a></p>';
              }
            }
            else echo '<p>Nebol vložený žiaden článok.</p>';
            }
        		}   
	   mysql_close($link);   
 
	}
include('../includes/pata.php'); 
?>
